
.flex-row {
    display: flex;
    flex-wrap: wrap;
}
.flex-list {
    display: flex;
    padding: 15px 15px 30px!important;
    justify-content:space-between;
    border:2px solid #D8DFE1;
}

.flex-list p {
  /* height: 80px !important; */
  overflow: hidden;
  display: block;
  line-height: 24px;
  margin-top: 2px;
  font-family: "bell_mtitalic";
  margin-top: 6px;
  font-size: 17px;
  color: #000;
  padding-right: 10px;
}
.flex-list a.title-text {
    font-size: 20px;
    color: #1f3743;
    font-family: "Century Gothic"

}
.flex-list h3{
  font-size: 20px;
  color: #1f3743;
  font-family: "Century Gothic"

}
.flex-list strong {
    color: #000;
}
.rf-portal-design {
    position: relative;
}
a.category-link {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}
.rf-design 
{
    display: block!important;    
}
.item-breadcrumb{
    padding-bottom: 5px;
    position: absolute;
    left: 50px;
    width: 100%;
    top: -12px;
}

.c-my-account-main-content-block.c-my-account-main-content-block--white.flex-list.rf-portal-design {
    height: 160px !important;
    overflow: hidden;
    /* height: 100%; */
}
span.limit-text {
  height: 80px !important;
  overflow: hidden;
  display: block;
  line-height: 24px;
  font-family: "bell_mtitalic";
  margin-top: 6px;
  font-size: 17px;
  color: #000;
  padding-right: 10px;
}
.show-read-more{
    width: auto;
    height:66px;
    line-height: 1.1em;
    font-size: 20px;
    font-weight: 400;
    margin-bottom: 12px;
    word-break: break-word;
    overflow: hidden;
    transition: 0.8s ease-in;
    background-color: #fff;
}
.title-text{
    width: auto;
    line-height: 1.1em;
    word-break: break-word;
    background-color: #fff;

}
#list-search-results .c-main_custom_table { flex-basis: 47% !important; }
.c-my-account-main-row.rf-design .c-my-account-sidebar-buttons-side-by-side-medium.flex-row.justify-content-around {
    gap: 10px;
}
.c-my-account-main-row.rf-design .c-my-account-sidebar-buttons-side-by-side-medium.c-my-account-button-fw {
     flex: 1;}

/* Description Modal Css */
#description_pop p.description-text {
  padding: 20px;
  text-align: center;
  font-size: 18px;
}

#description_pop .modal-content {
  outline: 0;
}
#description_pop #modal-close {
  top: -4px;
  right: -15px;
  font-size: 18px;
  background:#1f3743;
  padding: 0px 10px;
  border-radius: 5px;
  color: #FFF;
}

#pop-close {
    position: absolute;
     top: -4px; 
     right: -15px; 
    font-size: 18px;
    background: #1f3743;
    padding: 0px 10px;
    border-radius: 5px;
    color: #FFF;
}
#pop-close:hover{background:#999;color:#1f3743;}

#description_pop #modal-close:hover{background:#999;color:#1f3743;}
p.descrip-text {
    padding: 20px;
    text-align: center;
    font-size: 18px;
}

a.limit-text-popup {
  color: #1f3743;
  text-decoration: none;
  padding-left: 2px;
}
/* End Description Modal Css */
.c-main_custom_table {
    flex-basis: calc(51% - 30px)!important;
    margin-left: 10px !important;
    margin-bottom: 10px!important;
    margin-right: 10px !important;
}

.c-my-account-main-table__table__cell:last-child:not(.c-my-account-main-table__table__cell--always-left) {
    text-align: center !important;
}

.c-my-account-main-row__item.flex-basis-100 {
    flex-basis: 100% !important;
}
/* .rf-portal-design:hover {overflow:scroll;} */
::-webkit-scrollbar {
  width: 10px;
}
/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}
.rf-portal-design:hover .title-text{overflow: visible;height: auto;}

.c-my-account-main-row__item.c-my-account-main-row__item--half.custom_row_item {
    word-break: break-word;
    max-width: 50%;
    width: 100%;
    height:auto;
}
  .space-between{ 
    justify-content: space-between;
   }

.first-row {
    display: flex;
    background-color: #fff;
    gap: 25px;
    margin-left: 10px;
}

.first-row.flex-row-reverse.mb-4 {padding: 10px 30px;}

.modal-target {
  width: 300px;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.modal-target:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none;
  position: fixed; 
  z-index: 1; 
  padding-top: 100px; 
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%; 
  overflow: auto; 
  background-color: rgb(0,0,0); 
  background-color: rgba(0,0,0,0.8); 
}


/* Modal Content (image) */

.modal-content{
    max-width: 700px !important;
    margin: auto;
    display: block;
    width: auto;
    opacity: 1 !important;
    outline: 2px solid #1f3743;
}

.modal-content-img{
  margin: auto;
  display: block;
  width: auto;
  opacity: 1 !important;
  max-width:600px;
}

/* Add Animation */
.modal-content, .modal-content-img, .modal-caption {  
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {-webkit-atransform:scale(0)} 
  to {-webkit-transform:scale(1)}
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.modal-close {
    position: absolute;
    top: 70px;
    right: 37%;
    color: #f1f1f1;
    font-size: 55px;
    font-weight: bold;
    transition: 0.3s;
}

/* Image Preview modal Css */
.modal-header {
    padding: 22px 0px;
}

.close {
    position: absolute;
    top: 0px;
    right: 0px;
    font-size: 24px;
    background: #1f3743 !important;
    padding: 10px !important;
    /* border-radius: 5px; */
    color: #FFF;
    margin: 0px !important;
}
.close-down {
    /*position: absolute;
    top: 0px;
    right: 0px;*/
    font-size: 24px;
    background: #1f3743 !important;
    padding: 10px !important;
    /* border-radius: 5px; */
    color: #FFF;
    margin: 0px !important;
}
.close:hover {
    background: #999 !important;
    color: #1f3743 !important;
}
/* End Image Preview modal Css */

.modal-close:hover,
.modal-close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* new custom css-changes */

.rf-hover:hover{ overflow: unset !important; }

.rf-hover .img-section{ width: 100%; height: 100%;}
.rf-hover .img-section .modal-target {
    border-radius: 0px;
    background-position: center center !important;
    background-size: contain !important;
    background-repeat: no-repeat !important;
}

.flex-row-custom a.c-button{ display: flex; justify-content: space-between; }
.flex-row-custom .c-button h1 { font-size: inherit; }

.image-checkbox {
    cursor: pointer;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    border: 4px solid transparent;
    margin-bottom: 0;
    outline: 0;
    display: contents;
    width: 100%;
}

.image-checkbox-checked {
    border-color: #4783B0;
}

.img-check{     
  appearance: auto !important;
    display: block;
    position: absolute;
    right: 4px;
    width: 20px;
    height: 20px;
    border: 1px solid #ddd;
    z-index: 1;
    top: 15px;
}
.title-check-box {
  position: relative;
}

.img-section {
    position: relative;
}

.img-section:hover :before {
    background: rgba(0,0,0,.35);
    content: '';
    width: 100%;
    height: 100%;
    top: 0;
    position: absolute;
}

.img-section:hover .image-quick-view:before {
    content: "\f00e" !important;
    position: inherit !important;
    left: 0;
}

.img-section:hover .image-quick-view:after {
    background: none;
}

.image-quick-view {
    font-size: 25px;
    color: #FFF;
    position: absolute;
    top: 53px;
    right: 0;
    left: 0;
    text-align: center;
    opacity: 0;
}

.img-section:hover .image-quick-view{opacity: 1;}

.c-my-account-button-fw.m-0 {
    max-width: none;
    width: calc(50% - 20px);
}
.img-month-contest{
  height:430px; 
  width:420px;
}

@media (max-width: 767px){

    .c-my-account-main-row__item.c-my-account-main-row__item--half.custom_row_item {max-width: 100%;}
    .flex-row-custom{flex-wrap: wrap!important;}
    #download-btn-up{position: inherit !important;}
}

@media (min-width: 768px) and (max-width: 991px){

    .flex-row-custom .c-my-account-main-row__item.c-my-account-main-row__item--half.custom_row_item {max-width: 70%;}
    #download-btn-up{position: inherit !important;}

}

@media (min-width:992px) and (max-width:1024px){

    .flex-row-custom{flex-wrap: nowrap!important;}
}

/* responsive */

@media (max-width:767px) {
  .c-my-account-main-row.rf-design .c-my-account-sidebar-buttons-side-by-side-medium>.c-my-account-button-fw {
    flex: 1 0 100% !important;
}

.first-row.flex-row-reverse.mb-4 {
    padding:10px;
    margin-left:0px;

} 
}

@media (max-width:991px) {

  .c-my-account-main-row.rf-design .c-my-account-main-row__item {
    padding-left: 0px;
    padding-right: 0px;
    flex: 0 0 100%;
}
  
/* new update media css */


.inner-boxes .three-box {
    margin-top: -150px !important;
}
.inner-boxes .three-box .col-md-4{
        padding-left: 5px;
        padding-right: 5px;
    }
}

@media(max-width:767px){
    .item-breadcrumb{
        left: 15px;
        width:auto;
    }
section.inner-boxes .three-box {
    margin-top: -125px !important;
    gap: 15px;
}
}

@media(max-width:575px){
    section.inner-boxes .three-box {
    margin-top: -285px!important;
    gap: 15px;
}
}

@media(max-width:530px){
section.inner-boxes .three-box {
    margin-top: -350px!important;
}
}
@media(max-width:385px){
section.inner-boxes .three-box {
    margin-top:-390px!important;
}
}
/* home media end  */

/* R & F sales */


@media(max-width:385px){
    .first-row.flex-row-reverse.mb-4 {
    flex-wrap: inherit;
    justify-content: center;
}
}
@media(max-width:768px){
.c-my-account-main-row.rf-design {
    max-width: none;
}

/*  marketing page   */
.modal-content-img {
    max-width:100%;
}
}

@media( max-width:992px){
    #list-search-results .c-main_custom_table{
        flex: 100%;
    }
   #list-search-results .img-month-contest {
    margin: auto;
}
}

/* All store inventory */
@media(max-width:375px){
    .c-my-account-screen__main__sidebar {
        margin-bottom: 0px !important;
        margin-top: 70px !important; 
    }
}

@media(max-width:575px){
.c-my-account-screen__main__sidebar {
    margin-bottom: 0px !important;
    margin-top: 45px;
}
}
@media (max-width:767px){
    .c-my-account-screen__main__sidebar {
    margin-bottom: 0px !important;
    margin-top: 30px;
}
}
@media(min-width:768px){

    .c-my-account-main-toggle-panels.js-mobile-view-helper {
      width: 100%;
  }
    .c-my-account-main-toggle-panels__panel.is-active.u-margin-bottom--20 {
      overflow: visible;
  }
  .c-my-account-main-table {
      overflow: visible !important;
      overflow-x: scroll !important;
  }
  
  .c-my-account-main-table::-webkit-scrollbar {
    height:10px;
  }
  
.c-my-account-main-toggle-panels__panel__title-main-text{margin:0px;}


}

@media(min-width:1200px){
    .c-my-account-main-table .c-my-account-main-table__table {
        display: block;
    }
}

@media(max-width:1199px){
    #list-search-results .c-my-account-main-table__table {
      display: table-cell;
      white-space: nowrap;
      width: 100%;
    } 
}

/* marketing page */
@media (max-width:575px) {
    .modal-content{
    max-width: 320px !important;
    
    }    
    .modal-footer #modal-close-down {
        font-size: 17px;
    }

}

@media(max-width:768px){

    .c-my-account-main-content-block .c-buttons--large-spacing>* {
        margin-right: 16px!important;
    }
}

@media(max-width:420px){
    /* .c-button-link:last-child:after{

        right:25px;
    } */

    .c-my-account-main-content-block.c-my-account-main-content-block--white.flex-list.rf-portal-design {
        flex-flow: column;
        justify-content: center;
        height:auto!important;
        align-items: center;
    }
    .c-my-account-main-content-block.c-my-account-main-content-block--white.flex-list.rf-portal-design.rf-hover {
        height: 160px !important;
    }
}


/* new css for modal popup */
div#full-screen-view .c-modal-diamond-preview__image-area.js-zoom-image-area.js-360-image-area.js-image-magnifier-image-area img {
    width: 100%;
}